
Infrastructure - Bug #2049

CN Create method fails due to incorrect use of NodeList

2011-11-22 22:16 - Robert Waltz

Status: Closed Start date: 2011-11-22

Priority: Urgent Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.47-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

CNodeService.java line 967 reads:

List nodes = (List) cn.listNodes();

cn.listNodes returns a NodeList object, should read:

NodeList nodeList = cn.listNodes();

List nodes = nodeList.getNodeList();

History

#1 - 2011-11-23 17:55 - Ben Leinfelder

- Assignee changed from Chris Jones to Ben Leinfelder

#2 - 2011-11-23 18:08 - Ben Leinfelder

- Status changed from New to Closed

updated Metacat source
